# Monolog handler for LogDB

This is a handler to allow Monolog to be used with LogDB.

## Using

### Symfony 5+

```yaml
# config/services.yaml
services:
  LogDb\Monolog\LogDbHandler:
      arguments:
          $serverUrl: "http://127.0.0.1:8000"
          $scope: "org.myplatform.myapp.web"
          $source: "My App"
```

```yaml
# config/packages/prod/monolog.yaml
monolog:
  handlers:
    logdb:
      type: service
      id: LogDb\Monolog\LogDbHandler
```

```yaml
# config/packages/prod/monolog.yaml
monolog:
  handlers:
    main:
      type: fingers_crossed
      handler: logdb
    logdb:
      type: service
      id: LogDb\Monolog\LogDbHandler
```
